SELECT DB_PREFIX_customer.id_customer, DB_PREFIX_mailalert_customer_oos.customer_email AS email, DB_PREFIX_mailalert_customer_oos.id_product, DB_PREFIX_product_lang.name, DB_PREFIX_customer.lastname, DB_PREFIX_customer.firstname, DB_PREFIX_mailalert_customer_oos.id_product_attribute, DB_PREFIX_attribute_lang.name AS product_name
FROM DB_PREFIX_customer
RIGHT JOIN DB_PREFIX_mailalert_customer_oos ON DB_PREFIX_customer.id_customer = DB_PREFIX_mailalert_customer_oos.id_customer OR DB_PREFIX_customer.email = DB_PREFIX_mailalert_customer_oos.customer_email
LEFT JOIN DB_PREFIX_product_lang ON DB_PREFIX_mailalert_customer_oos.id_product = DB_PREFIX_product_lang.id_product
LEFT JOIN DB_PREFIX_product_attribute ON DB_PREFIX_mailalert_customer_oos.id_product_attribute = DB_PREFIX_product_attribute.id_product_attribute
LEFT JOIN DB_PREFIX_attribute_lang ON DB_PREFIX_product_attribute.id_product_attribute = DB_PREFIX_attribute_lang.id_attribute
ORDER BY DB_PREFIX_mailalert_customer_oos.id_product, DB_PREFIX_customer.id_customer;